from experiments import sweep_additive_context_store_all  # type: ignore
from experiments import sweep_simple_context, sweep_simple_context_store_all
from numpy import linspace

if __name__ == "__main__":
    print("starting simulations...")
    # for i in range(5):
    #     df = sweep_additive_context()
    #     df.to_csv(f"../../outputs/simulated_additive_{6+i}.csv")
    #  df = sweep_simple_context()
    df = sweep_simple_context_store_all(linspace(0, 1, 11), 10)
    df.to_csv("../../outputs/simulated_full_simple_context.csv")
    print(df)
